# This file created by conda-build 3.18.11
# meta.yaml template originally from:
# C:\Users\ci\AppData\Local\Temp\airflowtmpscoco26d\c2e64637-26ac-44f9-8d46-b72a2552af60\src\buildscripts\condarecipe.local, last modified Wed Jul 24 08:45:28 2024
# ------------------------------------------------

package:
    name: numba
    version: 0.61.0dev0
source:
    path: C:\Users\ci\AppData\Local\Temp\airflowtmpscoco26d\c2e64637-26ac-44f9-8d46-b72a2552af60\src
build:
    entry_points:
        - numba = numba.misc.numba_entry:main
    ignore_run_exports:
        - tbb
    number: '146'
    script_env:
        - PY_VCRUNTIME_REDIST
    string: np2.0py3.12h5605099_gf3665c454_146
requirements:
    build:
        - vs2017_win-64 19.16.27032.1 hb4161e2_3
        - vswhere 2.8.4 haa95532_0
    host:
        - blas 1.0 mkl
        - bzip2 1.0.8 h2bbff1b_6
        - ca-certificates 2024.7.2 haa95532_0
        - expat 2.6.2 hd77b12b_0
        - intel-openmp 2023.1.0 h59b6b97_46320
        - libffi 3.4.4 hd77b12b_1
        - libiconv 1.16 h2bbff1b_3
        - libxml2 2.13.1 h24da03e_0
        - llvmlite 0.44.0dev0 py312h82bb817_53
        - mkl 2023.1.0 h6b88ed4_46358
        - mkl-service 2.4.0 py312h2bbff1b_1
        - mkl_fft 1.3.8 py312h2bbff1b_0
        - mkl_random 1.2.4 py312h59b6b97_0
        - numpy 2.0.0rc2 py312hfd52020_0
        - numpy-base 2.0.0rc2 py312h4dde369_0
        - openssl 3.0.14 h827c3e9_0
        - pip 24.0 py312haa95532_0
        - python 3.12.4 h14ffc60_1
        - setuptools 69.5.1 py312haa95532_0
        - sqlite 3.45.3 h2bbff1b_0
        - tbb 2021.8.0 h59b6b97_0
        - tbb-devel 2021.8.0 h59b6b97_0
        - tk 8.6.14 h0416ee5_0
        - tzdata 2024a h04d1e81_0
        - vc 14.2 h2eaa2aa_4
        - vs2015_runtime 14.29.30133 h43f2093_4
        - wheel 0.43.0 py312haa95532_0
        - xz 5.4.6 h8cc25b3_1
        - zlib 1.2.13 h8cc25b3_1
    run:
        - llvmlite >=0.44.0dev0,<0.44
        - numpy >=1.22.3
        - python >=3.12,<3.13.0a0
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
    run_constrained:
        - cuda-python >=11.6
        - cuda-version >=11.2
        - cudatoolkit >=11.2
        - libopenblas !=0.3.6
        - scipy >=1.0
        - tbb >=2021.6
test:
    requires:
        - cffi
        - ipython
        - jinja2
        - scipy
        - setuptools
        - tbb >=2021.6
about:
    home: https://numba.pydata.org/
    license: BSD
    license_file: LICENSE
    summary: a just-in-time Python function compiler based on LLVM
extra:
    copy_test_source_files: true
    final: true
